# Database fundamentals

A database is a collection of useful data of one or more related organizations structured in a way to make data an asset to the organization. A database management system is a software designed to assist in maintaining and extracting large collections of data in a timely fashion.

A **Relational database** is a type of database that stores and provides access to data points that are related to one another. Relational databases store data in a series of tables.

**NoSQL databases** offer data storage and retrieval that is modelled differently to "traditional" relational databases. NoSQL databases typically focus more on horizontal scaling, eventual consistency, speed and flexibility and is used commonly for big data and real-time streaming applications.

Visit the following resources to learn more:

- [Oracle: What is a Database?](https://www.oracle.com/database/what-is-database/)
- [Prisma.io: What are Databases?](https://www.prisma.io/dataguide/intro/what-are-databases)
- [Intro To Relational Databases](https://www.udacity.com/course/intro-to-relational-databases--ud197)
- [What is Relational Database](https://youtu.be/OqjJjpjDRLc)
- [NoSQL Explained](https://www.mongodb.com/nosql-explained)
- [How do NoSQL Databases work](https://www.youtube.com/watch?v=0buKQHokLK8)