# Failure Modes

There are several different failure modes that can occur in a database, including:

* Read contention: This occurs when multiple clients or processes are trying to read data from the same location in the database at the same time, which can lead to delays or errors.
* Write contention: This occurs when multiple clients or processes are trying to write data to the same location in the database at the same time, which can lead to delays or errors.
* Thundering herd: This occurs when a large number of clients or processes try to access the same resource simultaneously, which can lead to resource exhaustion and reduced performance.
* Cascade: This occurs when a failure in one part of the database system causes a chain reaction that leads to failures in other parts of the system.
* Deadlock: This occurs when two or more transactions are waiting for each other to release a lock on a resource, leading to a standstill.
* Corruption: This occurs when data in the database becomes corrupted, which can lead to errors or unexpected results when reading or writing to the database.
* Hardware failure: This occurs when hardware components, such as disk drives or memory, fail, which can lead to data loss or corruption.
* Software failure: This occurs when software components, such as the database management system or application, fail, which can lead to errors or unexpected results.
* Network failure: This occurs when the network connection between the database and the client is lost, which can lead to errors or timeouts when trying to access the database.
* Denial of service (DoS) attack: This occurs when a malicious actor attempts to overwhelm the database with requests, leading to resource exhaustion and reduced performance.
