# Observability

In sofware development, observability is the measure of how well we can understand a system from the work it does, and how to make it better.

So what makes a system to be "observable"? It is its ability of producing and collecting metrics, logs and traces in order for us to understand what happens under the hood and identify issues and bottlenecks faster.

You can of course implement all those features by yourself, but there are a lot of softwares out there that can help you with it like Datadog, Sentry and CloudWatch.

Visit the following resources to learn more:

- [DataDog Docs](https://docs.datadoghq.com/)
- [AWS CloudWatch Docs](https://aws.amazon.com/cloudwatch/getting-started/)
- [Sentry Docs](https://docs.sentry.io/)
- [AWS re:Invent 2017: Improving Microservice and Serverless Observability with Monitor](https://www.youtube.com/watch?v=Wx0SHRb2xcI)
- [Observability and Instrumentation: What They Are and Why They Matter](https://newrelic.com/blog/best-practices/observability-instrumentation)