# Heaps Stacks and Queues

**Stacks:** Operations are performed LIFO (last in, first out), which means that the last element added will be the first one removed. A stack can be implemented using an array or a linked list. If the stack runs out of memory, it’s called a stack overflow.

**Queue:** Operations are performed FIFO (first in, first out), which means that the first element added will be the first one removed. A queue can be implemented using an array.

**Heap:** A tree-based data structure in which the value of a parent node is ordered in a certain way with respect to the value of its child node(s). A heap can be either a min heap (the value of a parent node is less than or equal to the value of its children) or a max heap (the value of a parent node is greater than or equal to the value of its children).

Visit the following resources to learn more:

- [Heaps, Stacks, Queues](https://stephanosterburg.gitbook.io/scrapbook/coding/coding-interview/data-structures/heaps-stacks-queues)
- [Stack Data Structure | Illustrated Data Structures](https://www.youtube.com/watch?v=I5lq6sCuABE)
- [Queue Data Structure | Illustrated Data Structures](https://www.youtube.com/watch?v=mDCi1lXd9hc)
- [Stack in Python](https://www.geeksforgeeks.org/stack-in-python/)
- [How to Implement Python Stack?](https://realpython.com/how-to-implement-python-stack/)
- [Queue in Python](https://www.geeksforgeeks.org/queue-in-python/)
- [Python Stacks, Queues, and Priority Queues in Practice](https://realpython.com/queue-in-python/)
- [Heap Implementation in Python](https://www.educative.io/answers/heap-implementation-in-python)

